import * as Lambda from '@aws-sdk/client-lambda';
import { ILogger } from 'typescript-ilogger';
import { BaseClass } from 'typescript-helper-functions';
import { ILambdaHelper } from './interface';
export declare class LambdaHelper extends BaseClass implements ILambdaHelper {
    private Repository;
    private DefaultDynamoBatchSize;
    private DefaultKinesisBatchSize;
    private DefaultSQSBatchSize;
    constructor(logger: ILogger, repository?: Lambda.Lambda, options?: Lambda.LambdaClientConfig);
    DisableDynamoEventSourceMappingAsync(functionName: string, uuid: string, batchSize?: number): Promise<Lambda.EventSourceMappingConfiguration>;
    DisableKinesisEventSourceMappingAsync(functionName: string, uuid: string, batchSize?: number): Promise<Lambda.EventSourceMappingConfiguration>;
    DisableSQSEventSourceMappingAsync(functionName: string, uuid: string, batchSize?: number): Promise<Lambda.EventSourceMappingConfiguration>;
    EnableDynamoEventSourceMappingAsync(functionName: string, uuid: string, batchSize?: number): Promise<Lambda.EventSourceMappingConfiguration>;
    EnableKinesisEventSourceMappingAsync(functionName: string, uuid: string, batchSize?: number): Promise<Lambda.EventSourceMappingConfiguration>;
    EnableSQSEventSourceMappingAsync(functionName: string, uuid: string, batchSize?: number): Promise<Lambda.EventSourceMappingConfiguration>;
    GetEventSourceMappingAsync(uuid: string): Promise<Lambda.EventSourceMappingConfiguration>;
    ListEventSourceMappingsAsync(functionName: string, eventSourceArn: string): Promise<Lambda.ListEventSourceMappingsResponse>;
    InvokeAsync<T>(functionName: string, payload: T): Promise<Lambda.InvokeAsyncResponse>;
    InvokeSync<T>(functionName: string, payload: T): Promise<Lambda.InvocationResponse>;
    UpdateEventSourceMappingAsync(functionName: string, enabled: boolean, uuid: string, batchSize: number): Promise<Lambda.EventSourceMappingConfiguration>;
}
